Bug 232907 - [exp-run] move info files to share/info
Summary: [exp-run] move info files to share/info
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL: https://reviews.freebsd.org/D17816
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-02 11:48 UTC by Baptiste Daroussin
Modified: 2018-12-03 07:26 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Baptiste Daroussin freebsd_committer 2018-11-02 11:48:35 UTC

    
Comment 1 Antoine Brodin freebsd_committer 2018-11-02 13:14:03 UTC
A note before doing the exp-run:  a few ports do not build or install their info pages right now

avr-gcc-5.4.0_2.log:ls: /wrkdirs/usr/ports/devel/avr-gcc/work/stage/usr/local/info/cpp.info*: No such file or directory
avr-gcc-5.4.0_2.log:ls: /wrkdirs/usr/ports/devel/avr-gcc/work/stage/usr/local/info/cppinternals.info*: No such file or directory
avr-gcc-5.4.0_2.log:ls: /wrkdirs/usr/ports/devel/avr-gcc/work/stage/usr/local/info/gcc.info*: No such file or directory
avr-gcc-5.4.0_2.log:ls: /wrkdirs/usr/ports/devel/avr-gcc/work/stage/usr/local/info/gccinstall.info*: No such file or directory
avr-gcc-5.4.0_2.log:ls: /wrkdirs/usr/ports/devel/avr-gcc/work/stage/usr/local/info/gccint.info*: No such file or directory

blitz++-1.0.1.log:ls: /wrkdirs/usr/ports/math/blitz++/work/stage/usr/local/info/blitz.info*: No such file or directory

screen-4.6.2.log:ls: /wrkdirs/usr/ports/sysutils/screen/work/stage/usr/local/info/screen.info*: No such file or directory

twelf-1.7.1_1.log:ls: /wrkdirs/usr/ports/lang/twelf/work/stage/usr/local/info/twelf.info*: No such file or directory

ztcl-1.0.b4_1.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/info/ztcl-zlib.info*: No such file or directory
ztcl-1.0.b4_1.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/info/ztcl.info*: No such file or directory
Comment 2 Antoine Brodin freebsd_committer 2018-11-04 07:49:30 UTC
New failures on 12.1 i386:

+ {"origin"=>"devel/cvs", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"devel/cvs+ipv6", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"dns/libidn", "phase"=>"package", "errortype"=>"???"}
+ {"origin"=>"japanese/jed", "phase"=>"stage", "errortype"=>"???"}
+ {"origin"=>"net/gnetcat", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"net/ipgrab", "phase"=>"stage", "errortype"=>"install_error"}
+ {"origin"=>"security/gnutls", "phase"=>"package", "errortype"=>"process_failed"}

New failure logs on 12.1 i386:

http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/cvs-1.20120905_6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/cvs+ipv6-1.20120905_3.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/libidn-1.34_1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/ja-jed-0.99.8.j067_6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/gnetcat-0.7.1_5.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/ipgrab-0.9.10_1.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-02_21h54m44s/logs/errors/gnutls-3.5.19_1.log

More than 5000 ports newly skipped due to failures

Ports not properly building/installing info pages on 12.1 i386:

algae-4.3.6_15.log:ls: /wrkdirs/usr/ports/math/algae/work/stage/usr/local/share/info/algae.info*: No such file or directory
allegro-4.4.2_8.log:ls: /wrkdirs/usr/ports/devel/allegro/work/stage/usr/local/share/info/allegro.info*: No such file or directory
barcode-0.98_1.log:ls: /wrkdirs/usr/ports/graphics/barcode/work/stage/usr/local/share/info/barcode.info*: No such file or directory
freebsd-uucp-1.07.4_3.log:ls: /wrkdirs/usr/ports/net/freebsd-uucp/work/stage/usr/local/share/info/uucp.info*: No such file or directory
ghdl-0.33_4.log:ls: /wrkdirs/usr/ports/cad/ghdl/work/stage/usr/local/share/info/ghdl.info*: No such file or directory
gmp-6.1.2_1.log:ls: /wrkdirs/usr/ports/math/gmp/work/stage/usr/local/share/info/gmp.info*: No such file or directory
gnushogi-1.4.2_1.log:ls: /wrkdirs/usr/ports/games/gnushogi/work/stage/usr/local/share/info/gnushogi.info*: No such file or directory
govpn-7.5_1.log:ls: /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/info/govpn.info*: No such file or directory
grx-2.4.9_4.log:ls: /wrkdirs/usr/ports/graphics/grx/work/stage/usr/local/share/info/grx.info*: No such file or directory
hp2xx-3.4.4_8.log:ls: /wrkdirs/usr/ports/print/hp2xx/work/stage/usr/local/share/info/hp2xx.info*: No such file or directory
husky-fidoconf-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-fidoconf/work/stage/usr/local/share/info/fidoconfig.info*: No such file or directory
husky-hpt-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-hpt/work/stage/usr/local/share/info/hpt.info*: No such file or directory
husky-htick-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-htick/work/stage/usr/local/share/info/htick.info*: No such file or directory
jacal-1c4_2.log:ls: /wrkdirs/usr/ports/math/jacal/work/stage/usr/local/share/info/jacal.info*: No such file or directory
mgetty-1.1.37_2.log:ls: /wrkdirs/usr/ports/comms/mgetty+sendfax/work/stage/usr/local/share/info/mgetty.info*: No such file or directory
nncp-3.4_1.log:ls: /wrkdirs/usr/ports/net/nncp/work/stage/usr/local/share/info/nncp.info*: No such file or directory
percona55-server-5.5.61.38.13_1.log:ls: /wrkdirs/usr/ports/databases/percona55-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona56-server-5.6.41.84.1_1.log:ls: /wrkdirs/usr/ports/databases/percona56-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona57-server-5.7.21.20_2.log:ls: /wrkdirs/usr/ports/databases/percona57-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/RPLAY.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/RPTP.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/librplay.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/rplayd.info*: No such file or directory
scss-0.4.2_2.log:ls: /wrkdirs/usr/ports/textproc/scss/work/stage/usr/local/share/info/scss.info*: No such file or directory
slib-3b5_1.log:ls: /wrkdirs/usr/ports/lang/slib/work/stage/usr/local/share/info/slib.info*: No such file or directory
tcc-0.9.26_6.log:ls: /wrkdirs/usr/ports/lang/tcc/work/stage/usr/local/share/info/tcc-doc.info*: No such file or directory
vera-1.22_1.log:ls: /wrkdirs/usr/ports/misc/vera/work/stage/usr/local/share/info/vera.info*: No such file or directory
zh-libchewing-0.5.1_1.log:ls: /wrkdirs/usr/ports/chinese/libchewing/work/stage/usr/local/share/info/libchewing.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/as.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/bfd.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/binutils.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/configure.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/ld.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/standards.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/cpp.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/cppinternals.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gcc.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gccinstall.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gccint.info*: No such file or directory
ztcl-1.0.b4_2.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/share/info/ztcl-zlib.info*: No such file or directory
ztcl-1.0.b4_2.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/share/info/ztcl.info*: No such file or directory
Comment 3 Baptiste Daroussin freebsd_committer 2018-11-04 08:22:19 UTC
fixed in the updated review
Comment 4 Antoine Brodin freebsd_committer 2018-11-05 23:40:33 UTC
New failure logs on 11.2 i386:

http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-04_08h31m17s/logs/errors/vice-3.1_6.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-04_08h31m17s/logs/errors/grip-3.9.0.log
http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-04_08h31m17s/logs/errors/ja-jed-0.99.8.j067_6.log

Ports not properly building/installing info pages:

algae-4.3.6_15.log:ls: /wrkdirs/usr/ports/math/algae/work/stage/usr/local/share/info/algae.info*: No such file or directory
allegro-4.4.2_8.log:ls: /wrkdirs/usr/ports/devel/allegro/work/stage/usr/local/share/info/allegro.info*: No such file or directory
barcode-0.98_1.log:ls: /wrkdirs/usr/ports/graphics/barcode/work/stage/usr/local/share/info/barcode.info*: No such file or directory
emacs-wiki-emacs26-2.72_12.log:ls: /wrkdirs/usr/ports/textproc/emacs-wiki/work-full/stage/usr/local/share/info/emacs-wiki.info*: No such file or directory
emacs-wiki-emacs26_canna-2.72_12.log:ls: /wrkdirs/usr/ports/textproc/emacs-wiki/work-canna/stage/usr/local/share/info/emacs-wiki.info*: No such file or directory
emacs-wiki-emacs26_nox-2.72_12.log:ls: /wrkdirs/usr/ports/textproc/emacs-wiki/work-nox/stage/usr/local/share/info/emacs-wiki.info*: No such file or directory
emacs-wiki-emacs27-2.72_12.log:ls: /wrkdirs/usr/ports/textproc/emacs-wiki/work-devel_full/stage/usr/local/share/info/emacs-wiki.info*: No such file or directory
emacs-wiki-emacs27_nox-2.72_12.log:ls: /wrkdirs/usr/ports/textproc/emacs-wiki/work-devel_nox/stage/usr/local/share/info/emacs-wiki.info*: No such file or directory
emms-emacs26-5.0_2.log:ls: /wrkdirs/usr/ports/audio/emms/work-full/stage/usr/local/share/info/emms.info*: No such file or directory
emms-emacs26_canna-5.0_2.log:ls: /wrkdirs/usr/ports/audio/emms/work-canna/stage/usr/local/share/info/emms.info*: No such file or directory
emms-emacs26_nox-5.0_2.log:ls: /wrkdirs/usr/ports/audio/emms/work-nox/stage/usr/local/share/info/emms.info*: No such file or directory
emms-emacs27-5.0_2.log:ls: /wrkdirs/usr/ports/audio/emms/work-devel_full/stage/usr/local/share/info/emms.info*: No such file or directory
emms-emacs27_nox-5.0_2.log:ls: /wrkdirs/usr/ports/audio/emms/work-devel_nox/stage/usr/local/share/info/emms.info*: No such file or directory
eukleides-1.5.4_4.log:ls: /wrkdirs/usr/ports/math/eukleides/work/stage/usr/local/share/info/eukleides.info*: No such file or directory
flim-emacs26-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-full/stage/usr/local/share/info/mime-en.info*: No such file or directory
flim-emacs26-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-full/stage/usr/local/share/info/mime-ja.info*: No such file or directory
flim-emacs26_canna-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-canna/stage/usr/local/share/info/mime-en.info*: No such file or directory
flim-emacs26_canna-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-canna/stage/usr/local/share/info/mime-ja.info*: No such file or directory
flim-emacs26_nox-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-nox/stage/usr/local/share/info/mime-en.info*: No such file or directory
flim-emacs26_nox-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-nox/stage/usr/local/share/info/mime-ja.info*: No such file or directory
flim-emacs27-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-devel_full/stage/usr/local/share/info/mime-en.info*: No such file or directory
flim-emacs27-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-devel_full/stage/usr/local/share/info/mime-ja.info*: No such file or directory
flim-emacs27_nox-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-devel_nox/stage/usr/local/share/info/mime-en.info*: No such file or directory
flim-emacs27_nox-1.14.9_20,1.log:ls: /wrkdirs/usr/ports/editors/flim/work-devel_nox/stage/usr/local/share/info/mime-ja.info*: No such file or directory
freebsd-uucp-1.07.4_3.log:ls: /wrkdirs/usr/ports/net/freebsd-uucp/work/stage/usr/local/share/info/uucp.info*: No such file or directory
ghdl-0.33_4.log:ls: /wrkdirs/usr/ports/cad/ghdl/work/stage/usr/local/share/info/ghdl.info*: No such file or directory
gmp-6.1.2_1.log:ls: /wrkdirs/usr/ports/math/gmp/work/stage/usr/local/share/info/gmp.info*: No such file or directory
gnushogi-1.4.2_1.log:ls: /wrkdirs/usr/ports/games/gnushogi/work/stage/usr/local/share/info/gnushogi.info*: No such file or directory
govpn-7.5_1.log:ls: /wrkdirs/usr/ports/security/govpn/work/stage/usr/local/share/info/govpn.info*: No such file or directory
grx-2.4.9_4.log:ls: /wrkdirs/usr/ports/graphics/grx/work/stage/usr/local/share/info/grx.info*: No such file or directory
hp2xx-3.4.4_8.log:ls: /wrkdirs/usr/ports/print/hp2xx/work/stage/usr/local/share/info/hp2xx.info*: No such file or directory
husky-fidoconf-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-fidoconf/work/stage/usr/local/share/info/fidoconfig.info*: No such file or directory
husky-hpt-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-hpt/work/stage/usr/local/share/info/hpt.info*: No such file or directory
husky-htick-1.9.20140519_3.log:ls: /wrkdirs/usr/ports/news/husky-htick/work/stage/usr/local/share/info/htick.info*: No such file or directory
jacal-1c4_2.log:ls: /wrkdirs/usr/ports/math/jacal/work/stage/usr/local/share/info/jacal.info*: No such file or directory
mgetty-1.1.37_2.log:ls: /wrkdirs/usr/ports/comms/mgetty+sendfax/work/stage/usr/local/share/info/mgetty.info*: No such file or directory
muse-emacs26-3.20_14.log:ls: /wrkdirs/usr/ports/textproc/muse/work-full/stage/usr/local/share/info/muse.info*: No such file or directory
muse-emacs26_canna-3.20_14.log:ls: /wrkdirs/usr/ports/textproc/muse/work-canna/stage/usr/local/share/info/muse.info*: No such file or directory
muse-emacs26_nox-3.20_14.log:ls: /wrkdirs/usr/ports/textproc/muse/work-nox/stage/usr/local/share/info/muse.info*: No such file or directory
muse-emacs27-3.20_14.log:ls: /wrkdirs/usr/ports/textproc/muse/work-devel_full/stage/usr/local/share/info/muse.info*: No such file or directory
muse-emacs27_nox-3.20_14.log:ls: /wrkdirs/usr/ports/textproc/muse/work-devel_nox/stage/usr/local/share/info/muse.info*: No such file or directory
nncp-3.4_1.log:ls: /wrkdirs/usr/ports/net/nncp/work/stage/usr/local/share/info/nncp.info*: No such file or directory
percona55-server-5.5.61.38.13_1.log:ls: /wrkdirs/usr/ports/databases/percona55-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona56-server-5.6.41.84.1_1.log:ls: /wrkdirs/usr/ports/databases/percona56-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona57-server-5.7.21.20_2.log:ls: /wrkdirs/usr/ports/databases/percona57-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
proofgeneral-emacs26-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-full/stage/usr/local/share/info/PG-adapting.info*: No such file or directory
proofgeneral-emacs26-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-full/stage/usr/local/share/info/ProofGeneral.info*: No such file or directory
proofgeneral-emacs26_canna-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-canna/stage/usr/local/share/info/PG-adapting.info*: No such file or directory
proofgeneral-emacs26_canna-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-canna/stage/usr/local/share/info/ProofGeneral.info*: No such file or directory
proofgeneral-emacs27-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-devel_full/stage/usr/local/share/info/PG-adapting.info*: No such file or directory
proofgeneral-emacs27-4.1_14.log:ls: /wrkdirs/usr/ports/math/proofgeneral/work-devel_full/stage/usr/local/share/info/ProofGeneral.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/RPLAY.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/RPTP.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/librplay.info*: No such file or directory
rplay-3.3.2_4.log:ls: /wrkdirs/usr/ports/audio/rplay/work/stage/usr/local/share/info/rplayd.info*: No such file or directory
scss-0.4.2_2.log:ls: /wrkdirs/usr/ports/textproc/scss/work/stage/usr/local/share/info/scss.info*: No such file or directory
semi-emacs26-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-full/stage/usr/local/share/info/mime-ui-en.info*: No such file or directory
semi-emacs26-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-full/stage/usr/local/share/info/mime-ui-ja.info*: No such file or directory
semi-emacs26_canna-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-canna/stage/usr/local/share/info/mime-ui-en.info*: No such file or directory
semi-emacs26_canna-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-canna/stage/usr/local/share/info/mime-ui-ja.info*: No such file or directory
semi-emacs26_nox-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-nox/stage/usr/local/share/info/mime-ui-en.info*: No such file or directory
semi-emacs26_nox-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-nox/stage/usr/local/share/info/mime-ui-ja.info*: No such file or directory
semi-emacs27-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-devel_full/stage/usr/local/share/info/mime-ui-en.info*: No such file or directory
semi-emacs27-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-devel_full/stage/usr/local/share/info/mime-ui-ja.info*: No such file or directory
semi-emacs27_nox-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-devel_nox/stage/usr/local/share/info/mime-ui-en.info*: No such file or directory
semi-emacs27_nox-1.14.6_22.log:ls: /wrkdirs/usr/ports/editors/semi/work-devel_nox/stage/usr/local/share/info/mime-ui-ja.info*: No such file or directory
slib-3b5_1.log:ls: /wrkdirs/usr/ports/lang/slib/work/stage/usr/local/share/info/slib.info*: No such file or directory
tcc-0.9.26_6.log:ls: /wrkdirs/usr/ports/lang/tcc/work/stage/usr/local/share/info/tcc-doc.info*: No such file or directory
vera-1.22_1.log:ls: /wrkdirs/usr/ports/misc/vera/work/stage/usr/local/share/info/vera.info*: No such file or directory
zh-libchewing-0.5.1_1.log:ls: /wrkdirs/usr/ports/chinese/libchewing/work/stage/usr/local/share/info/libchewing.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/as.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/bfd.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/binutils.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/configure.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/ld.info*: No such file or directory
zpu-binutils-1.0.log:ls: /wrkdirs/usr/ports/devel/zpu-binutils/work/stage/usr/local/share/info/zpu/standards.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/cpp.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/cppinternals.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gcc.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gccinstall.info*: No such file or directory
zpu-gcc-1.0_1.log:ls: /wrkdirs/usr/ports/devel/zpu-gcc/work/stage/usr/local/share/info/zpuc/gccint.info*: No such file or directory
ztcl-1.0.b4_2.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/share/info/ztcl-zlib.info*: No such file or directory
ztcl-1.0.b4_2.log:ls: /wrkdirs/usr/ports/devel/ztcl/work/stage/usr/local/share/info/ztcl.info*: No such file or directory
Comment 5 Baptiste Daroussin freebsd_committer 2018-11-06 11:18:48 UTC
Review updated with fixes
Comment 6 Antoine Brodin freebsd_committer 2018-11-06 11:28:08 UTC
(In reply to Baptiste Daroussin from comment #5)
?? can you update again?
Comment 7 Baptiste Daroussin freebsd_committer 2018-11-06 11:38:44 UTC
Sorry I haven't seen arc diff --update actually failed :(

Now it is updated
Comment 8 Antoine Brodin freebsd_committer 2018-11-07 20:11:39 UTC
New failure log:

http://package23.nyi.freebsd.org/data/112i386-default-PR232907/2018-11-06_11h43m22s/logs/errors/jacal-1c4_2.log

Ports not properly installing info pages:

allegro-4.4.2_8.log:ls: /wrkdirs/usr/ports/devel/allegro/work/stage/usr/local/share/info/allegro.info*: No such file or directory

freebsd-uucp-1.07.4_3.log:ls: /wrkdirs/usr/ports/net/freebsd-uucp/work/stage/usr/local/share/info/uucp.info*: No such file or directory

percona55-server-5.5.61.38.13_1.log:ls: /wrkdirs/usr/ports/databases/percona55-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona56-server-5.6.41.84.1_1.log:ls: /wrkdirs/usr/ports/databases/percona56-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory
percona57-server-5.7.21.20_2.log:ls: /wrkdirs/usr/ports/databases/percona57-server/work/stage/usr/local/share/info/mysql.info*: No such file or directory

scss-0.4.2_2.log:ls: /wrkdirs/usr/ports/textproc/scss/work/stage/usr/local/share/info/scss.info*: No such file or directory

tcc-0.9.26_6.log:ls: /wrkdirs/usr/ports/lang/tcc/work/stage/usr/local/share/info/tcc-doc.info*: No such file or directory

zh-libchewing-0.5.1_1.log:ls: /wrkdirs/usr/ports/chinese/libchewing/work/stage/usr/local/share/info/libchewing.info*: No such file or directory
Comment 9 Baptiste Daroussin freebsd_committer 2018-11-08 08:50:54 UTC
next round of fixes uploaded
Comment 10 Antoine Brodin freebsd_committer 2018-11-09 08:52:41 UTC
Exp-run looks fine.

Please coordinate with tcberner@ for the cmake part as there is an upgrade in progress.
Comment 11 commit-hook freebsd_committer 2018-11-10 18:13:36 UTC
A commit references this bug:

Author: bapt
Date: Sat Nov 10 18:13:17 UTC 2018
New revision: 484628
URL: https://svnweb.freebsd.org/changeset/ports/484628

Log:
  Install texinfo files (GNU info) into ${PREFIX}/share/info

  After a discussion on the mailing list on moving manpages to
  ${PREFIX}/share/man for consistency with base where it is
  installed in usr/share/man, it appeared the same should happen
  to GNU info files which were installed under share in base and
  not in ports.

  Now texinfo is not in base on any of the supported version of FreeBSD
  it is possible to proceed to this move and it is easier to do than
  the manpage change.

  Other benefit than consistency are less patching: all build tools but
  cmake are expecting info files to be under share/info and cmake (patched here)
  was having an exception for BSD so the patch makes FreeBSD case less
  specific for them

  Bump revision of all impacted ports

  PR:		232907
  exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D17816

Changes:
  head/CHANGES
  head/Mk/bsd.port.mk
  head/Templates/BSD.local.dist
  head/accessibility/speech-dispatcher/Makefile
  head/archivers/fastjar/Makefile
  head/archivers/gcpio/Makefile
  head/archivers/gtar/Makefile
  head/archivers/gzip/Makefile
  head/archivers/lzip/Makefile
  head/archivers/lzlib/Makefile
  head/archivers/plzip/Makefile
  head/archivers/sharutils/Makefile
  head/archivers/zutils/Makefile
  head/astro/foxtrotgps/Makefile
  head/audio/emms/Makefile
  head/audio/emms/files/patch-Makefile
  head/audio/festival-freebsoft-utils/Makefile
  head/audio/gnupod/Makefile
  head/audio/libadplug/Makefile
  head/audio/libmikmod/Makefile
  head/audio/ocp/Makefile
  head/audio/rplay/Makefile
  head/audio/xhippo/Makefile
  head/benchmarks/netperf/Makefile
  head/cad/dinotrace/Makefile
  head/cad/freehdl/Makefile
  head/cad/geda/Makefile
  head/cad/ghdl/Makefile
  head/cad/libredwg/Makefile
  head/chinese/enscript/Makefile
  head/chinese/libchewing/Makefile
  head/chinese/libchewing/files/patch-CMakeLists.txt
  head/comms/hamlib/Makefile
  head/comms/mgetty+sendfax/Makefile
  head/converters/recode/Makefile
  head/databases/bbdb/Makefile
  head/databases/couchdb/Makefile
  head/databases/gdbm/Makefile
  head/databases/gnats4/Makefile
  head/databases/percona55-server/Makefile
  head/databases/percona56-server/Makefile
  head/databases/percona57-server/Makefile
  head/databases/recutils/Makefile
  head/deskutils/gcal/Makefile
  head/deskutils/gxmessage/Makefile
  head/deskutils/menumaker/Makefile
  head/devel/allegro/Makefile
  head/devel/autoconf/Makefile
  head/devel/autoconf-archive/Makefile
  head/devel/autoconf213/Makefile
  head/devel/autodist/Makefile
  head/devel/autogen/Makefile
  head/devel/automake/Makefile
  head/devel/avr-gcc/Makefile
  head/devel/bashdb/Makefile
  head/devel/binutils/Makefile
  head/devel/bison/Makefile
  head/devel/bnf/Makefile
  head/devel/ccrtp/Makefile
  head/devel/cgdb/Makefile
  head/devel/check/Makefile
  head/devel/cmake/Makefile
  head/devel/cmake/files/patch-Modules_GNUInstallDirs.cmake
  head/devel/commoncpp/Makefile
  head/devel/cssc/Makefile
  head/devel/cutils/Makefile
  head/devel/cvs/Makefile
  head/devel/cvs-devel/Makefile
  head/devel/cvsbook/Makefile
  head/devel/ddd/Makefile
  head/devel/djgpp-binutils/Makefile
  head/devel/fnccheck/Makefile
  head/devel/gengetopt/Makefile
  head/devel/gettext-runtime/Makefile
  head/devel/ghub/Makefile
  head/devel/gindent/Makefile
  head/devel/glib12/Makefile
  head/devel/global/Makefile
  head/devel/gmake/Makefile
  head/devel/gnucflow/Makefile
  head/devel/gnulib/Makefile
  head/devel/gperf/Makefile
  head/devel/guile-lib/Makefile
  head/devel/idutils/Makefile
  head/devel/kaptain/Makefile
  head/devel/libIDL/Makefile
  head/devel/libassetml/Makefile
  head/devel/libavl/Makefile
  head/devel/libbfd/Makefile
  head/devel/libcfu/Makefile
  head/devel/libconfig/Makefile
  head/devel/libffi/Makefile
  head/devel/libgtop/Makefile
  head/devel/libmatheval/Makefile
  head/devel/libruin/Makefile
  head/devel/libtool/Makefile
  head/devel/libunistring/Makefile
  head/devel/lightning/Makefile
  head/devel/m4/Makefile
  head/devel/magit/Makefile
  head/devel/magit-popup/Makefile
  head/devel/mingw32-gcc/Makefile
  head/devel/monotone/Makefile
  head/devel/nana/Makefile
  head/devel/ocaml-sdl/Makefile
  head/devel/omake/Makefile
  head/devel/openocd/Makefile
  head/devel/p5-Sepia/Makefile
  head/devel/rcs/Makefile
  head/devel/readline/Makefile
  head/devel/remake/Makefile
  head/devel/sdts++/Makefile
  head/devel/tclmore/Makefile
  head/devel/tex-kpathsea/Makefile
  head/devel/tex-web2c/Makefile
  head/devel/udis86/Makefile
  head/devel/zpu-binutils/files/patch-build.sh
  head/devel/zpu-gcc/Makefile
  head/devel/zpu-gcc/files/patch-build.sh
  head/dns/libidn/Makefile
  head/dns/libidn/pkg-plist
  head/dns/libidn2/Makefile
  head/dns/mydns/Makefile
  head/dns/mydns-ng/Makefile
  head/editors/flim/Makefile
  head/editors/hte/Makefile
  head/editors/nano/Makefile
  head/editors/nano-devel/Makefile
  head/editors/ne/Makefile
  head/editors/psgml/Makefile
  head/editors/semi/Makefile
  head/editors/slime/Makefile
  head/editors/with-editor/Makefile
  head/emulators/mtools/Makefile
  head/emulators/vice/pkg-plist
  head/emulators/vmips/Makefile
  head/ftp/cftp/Makefile
  head/ftp/yafc/Makefile
  head/games/gnubik/Makefile
  head/games/gnuchess/Makefile
  head/games/gnugo/Makefile
  head/games/gnushogi/Makefile
  head/games/goldencheetah/Makefile
  head/games/gtypist/Makefile
  head/games/heroes/Makefile
  head/games/liquidwar/Makefile
  head/games/liquidwar/files/patch-Makefile.in
  head/games/moon-buggy/Makefile
  head/games/rtb/Makefile
  head/games/vamos/Makefile
  head/games/xboard/Makefile
  head/games/xconq/Makefile
  head/graphics/aalib/Makefile
  head/graphics/barcode/Makefile
  head/graphics/enblend/Makefile
  head/graphics/epix/Makefile
  head/graphics/gauche-gl/Makefile
  head/graphics/geomview/Makefile
  head/graphics/grx/Makefile
  head/graphics/plotutils/Makefile
  head/graphics/xaos/Makefile
  head/graphics/zgv/Makefile
  head/irc/miau/Makefile
  head/irc/riece/Makefile
  head/japanese/ddskk/Makefile
  head/japanese/eblook/Makefile
  head/japanese/ebnetd/Makefile
  head/japanese/groff/Makefile
  head/japanese/jed/Makefile
  head/japanese/lookup/Makefile
  head/japanese/navi2ch/Makefile
  head/java/classpath/Makefile
  head/lang/cim/Makefile
  head/lang/emacs-lisp-intro/Makefile
  head/lang/gambit-c/Makefile
  head/lang/gauche/Makefile
  head/lang/gawk/Makefile
  head/lang/gcc48/Makefile
  head/lang/gcc49/Makefile
  head/lang/gcc5/Makefile
  head/lang/gcc6/Makefile
  head/lang/gcc6-devel/Makefile
  head/lang/gcc7/Makefile
  head/lang/gcc7-devel/Makefile
  head/lang/gcc8/Makefile
  head/lang/gcc8-devel/Makefile
  head/lang/gcc9-devel/Makefile
  head/lang/gforth/Makefile
  head/lang/gnu-cobol/Makefile
  head/lang/guile/Makefile
  head/lang/guile2/Makefile
  head/lang/intercal/Makefile
  head/lang/kawa/Makefile
  head/lang/librep/Makefile
  head/lang/mdk/Makefile
  head/lang/scm/Makefile
  head/lang/slib/Makefile
  head/lang/slisp/Makefile
  head/lang/smalltalk/Makefile
  head/lang/tcc/Makefile
  head/lang/twelf/Makefile
  head/lang/yorick/Makefile
  head/mail/anubis/Makefile
  head/mail/exim/Makefile
  head/mail/exim/files/patch-src__EDITME
  head/mail/gnubiff/Makefile
  head/mail/mailfromd/Makefile
  head/mail/mailutils/Makefile
  head/mail/mboxgrep/Makefile
  head/mail/mew/Makefile
  head/mail/mpop/Makefile
  head/mail/mu4e/Makefile
  head/mail/pop3lite/Makefile
  head/mail/wanderlust/Makefile
  head/math/GiNaC/Makefile
  head/math/R/Makefile
  head/math/algae/Makefile
  head/math/algae/files/patch-Makefile.in
  head/math/asymptote/Makefile
  head/math/asymptote/pkg-plist
  head/math/cln/Makefile
  head/math/dynare/Makefile
  head/math/ess/Makefile
  head/math/eukleides/files/patch-Config
  head/math/fftw/Makefile
  head/math/fftw3/Makefile
  head/math/giacxcas/Makefile
  head/math/gmp/Makefile
  head/math/gnubc/Makefile
  head/math/gri/Makefile
  head/math/gsl/Makefile
  head/math/jacal/Makefile
  head/math/jacal/files/patch-configure
  head/math/libranlip/Makefile
  head/math/maxima/Makefile
  head/math/maxima/pkg-plist
  head/math/mpc/Makefile
  head/math/mpfr/Makefile
  head/math/mpir/Makefile
  head/math/numdiff/Makefile
  head/math/octave/Makefile
  head/math/oleo/Makefile
  head/math/prng/Makefile
  head/math/proofgeneral/Makefile
  head/math/pspp/Makefile
  head/math/units/Makefile
  head/math/unuran/Makefile
  head/misc/bogosort/Makefile
  head/misc/dejagnu/Makefile
  head/misc/findutils/Makefile
  head/misc/gwhich/Makefile
  head/misc/hello/Makefile
  head/misc/help2man/Makefile
  head/misc/latex-mk/Makefile
  head/misc/pinfo/Makefile
  head/misc/talkfilters/Makefile
  head/misc/teseq/Makefile
  head/misc/vera/Makefile
  head/multimedia/gmerlin/Makefile
  head/multimedia/mjpegtools/Makefile
  head/multimedia/vcdimager/Makefile
  head/net/freebsd-uucp/Makefile
  head/net/frr3/Makefile
  head/net/frr4/Makefile
  head/net/frr5/Makefile
  head/net/frr6/Makefile
  head/net/gnetcat/Makefile
  head/net/gnu-dico/Makefile
  head/net/gnu-radius/Makefile
  head/net/ipgrab/Makefile
  head/net/jwhois/Makefile
  head/net/libsocket++/Makefile
  head/net/macchanger/Makefile
  head/net/nncp/Makefile
  head/net/qadsl/Makefile
  head/net/quagga/Makefile
  head/net/serveez/Makefile
  head/net/tramp/Makefile
  head/net/wol/Makefile
  head/net/zebra/Makefile
  head/net-im/freetalk/Makefile
  head/net-im/jabber.el/Makefile
  head/net-mgmt/netmask/Makefile
  head/net-mgmt/scli/Makefile
  head/news/husky/Makefile
  head/news/husky-fidoconf/Makefile
  head/news/husky-hpt/Makefile
  head/news/husky-htick/Makefile
  head/news/newscache/Makefile
  head/print/a2ps/Makefile
  head/print/auctex/Makefile
  head/print/enscript-letter/Makefile
  head/print/gv/Makefile
  head/print/hp2xx/Makefile
  head/print/lilypond/Makefile
  head/print/lilypond-devel/Makefile
  head/print/tex-dvipsk/Makefile
  head/print/texinfo/Makefile
  head/print/texlive-base/Makefile
  head/print/trueprint/Makefile
  head/print/yatex/Makefile
  head/science/udunits/Makefile
  head/security/authforce/Makefile
  head/security/crank/Makefile
  head/security/dirmngr/Makefile
  head/security/fsh/Makefile
  head/security/fwknop/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg1/Makefile
  head/security/gnutls/Makefile
  head/security/gnutls/pkg-plist
  head/security/govpn/Makefile
  head/security/govpn/files/
  head/security/govpn/files/patch-common.mk
  head/security/gpgme/Makefile
  head/security/gsasl/Makefile
  head/security/gss/Makefile
  head/security/heimdal/Makefile
  head/security/integrit/Makefile
  head/security/libassuan/Makefile
  head/security/libgcrypt/Makefile
  head/security/libgpg-error/Makefile
  head/security/libksba/Makefile
  head/security/libtasn1/Makefile
  head/security/nettle/Makefile
  head/security/pam-modules/Makefile
  head/security/pinentry/Makefile
  head/security/shishi/Makefile
  head/security/tinc/Makefile
  head/security/tinc-devel/Makefile
  head/shells/bash/Makefile
  head/shells/esh/Makefile
  head/sysutils/ah-tty/Makefile
  head/sysutils/am-utils/Makefile
  head/sysutils/cfengine22/Makefile
  head/sysutils/coreutils/Makefile
  head/sysutils/cronolog/Makefile
  head/sysutils/cronolog-devel/Makefile
  head/sysutils/dateutils/Makefile
  head/sysutils/ddrescue/Makefile
  head/sysutils/fatback/Makefile
  head/sysutils/fileschanged/Makefile
  head/sysutils/freeipmi/Makefile
  head/sysutils/fswatch-mon/Makefile
  head/sysutils/grub2-pcbsd/Makefile
  head/sysutils/libcdio/Makefile
  head/sysutils/mcron/Makefile
  head/sysutils/screen/Makefile
  head/sysutils/stow/Makefile
  head/sysutils/stress/Makefile
  head/sysutils/xlogmaster/Makefile
  head/sysutils/xorriso/Makefile
  head/textproc/aspell/Makefile
  head/textproc/bbe/Makefile
  head/textproc/chpp/Makefile
  head/textproc/diffutils/Makefile
  head/textproc/docbook2X/Makefile
  head/textproc/emacs-wiki/Makefile
  head/textproc/ffe/Makefile
  head/textproc/flex/Makefile
  head/textproc/gnugrep/Makefile
  head/textproc/groff/Makefile
  head/textproc/gsed/Makefile
  head/textproc/iksemel/Makefile
  head/textproc/mifluz/Makefile
  head/textproc/muse/Makefile
  head/textproc/muse/files/patch-Makefile.defs.default
  head/textproc/rubber/Makefile
  head/textproc/scss/Makefile
  head/textproc/sdom/Makefile
  head/textproc/source-highlight/Makefile
  head/textproc/texi2html/Makefile
  head/textproc/wdiff/Makefile
  head/www/WebMagick/Makefile
  head/www/boa/Makefile
  head/www/emacs-w3m/Makefile
  head/www/guile-www/Makefile
  head/www/libmicrohttpd/Makefile
  head/www/libmicrohttpd/pkg-plist
  head/www/polipo/Makefile
  head/www/wsmake/Makefile
  head/x11/cl-clx/Makefile
  head/x11/xnee/Makefile
  head/x11-toolkits/gtk12/Makefile
  head/x11-wm/ratpoison/Makefile
  head/x11-wm/sawfish/Makefile